petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDualSpaceApply

Apply a functional from the dual space basis to an input function

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceApply(PetscDualSpace sp, PetscInt f, PetscReal time, PetscFECellGeom *geom, PetscInt numComp, PetscErrorCode (*func)(PetscInt, PetscReal, const PetscReal [], PetscInt, PetscScalar *, void *), void *ctx, PetscScalar *value)

### Input Parameters

| sp | - The PetscDualSpace object Many br
| f | - The basis functional index Many br
| time | - The time Many br
| geom | - A context with geometric information for this cell, we use v0 (the initial vertex) and J (the Jacobian) Many br
| numComp | - The number of components for the function Many br
| func | - The input function Many br
| ctx | - A context for the function Many br

### Output Parameter

value -numComp output values Many br

### Note: The calling sequence for the callback func is given by

    func(PetscInt dim, PetscReal time, const PetscReal x[],

         PetscInt numComponents, PetscScalar values[], void *ctx)

Many br

### See Also

PetscDualSpaceCreate()

Level:developer
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages